# LDrawUtils

Utility class for LDraw models.

## Import

LDrawUtils is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { LDrawUtils } from 'three/addons/utils/LDrawUtils.js';
```

## Constructor

### new LDrawUtils()

## Static Methods

### .mergeObject( object : Object3D ) : Group

Merges geometries in the given object by materials and returns a new group object. Use on not indexed geometries. The object buffers reference the old object ones. Special treatment is done to the conditional lines generated by LDrawLoader.

**object**

The object to merge.

**Returns:** The merged object.

## Source

[examples/jsm/utils/LDrawUtils.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/utils/LDrawUtils.js)